Create User API token

User API tokens provide short-lived, limited-scope authentication for one-time operations. They are typically associated with a few realms and used to generate temporary authentication tokens for specific API tasks.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Creates new user tokens for a given Employer.

employerIds
array of strings
required
length ≥ 1

Specifies the Employers to which the user token will be assigned. The maximum number of Employers that can be included in a single token is 125.

employerIds*
string
enum
required

The group of permissions assigned to the token.

Allowed:
int32
≥ 1
Defaults to 60

Determines the validity period of the user token in minutes.

string
required
Defaults to CreateEmployerUserTokenInput

input type.

string

A reference ID unique to the user in the external platform, e.g. the ID of the user in the partner's platform. This value is not required for token creation, but strongly recommended if you want to take advantage of observability features. Examples:

  • "userIdentifier": "user_abc_123" // Internal user ID
  • "userIdentifier": "[email protected]" // Email
Responses

500

Internal Server Error

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json